<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::Application Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Application.html">Application</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classgg_1_1Application-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::Application Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Application_8hpp_source.html">Application.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::Application:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1Application.png" usemap="#gg::Application_map" alt=""/>
  <map id="gg::Application_map" name="gg::Application_map">
<area href="classgg_1_1IEventSubscriber.html" alt="gg::IEventSubscriber" shape="rect" coords="0,0,129,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8ec5c4ca52a13fa89a3d107fd2f8bde3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Application.html#a8ec5c4ca52a13fa89a3d107fd2f8bde3">Application</a> ()</td></tr>
<tr class="separator:a8ec5c4ca52a13fa89a3d107fd2f8bde3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addc7756b106fcdddf588b7b358656054"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Application.html#addc7756b106fcdddf588b7b358656054">~Application</a> () override</td></tr>
<tr class="separator:addc7756b106fcdddf588b7b358656054"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a703d54482a290b37d0be1cd76311c35a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Application.html#a703d54482a290b37d0be1cd76311c35a">Application</a> (<a class="el" href="classgg_1_1Application.html">Application</a> &amp;)=delete</td></tr>
<tr class="separator:a703d54482a290b37d0be1cd76311c35a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33bd0d684209797c83eea4980ab21ca7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Application.html#a33bd0d684209797c83eea4980ab21ca7">operator=</a> (const <a class="el" href="classgg_1_1Application.html">Application</a> &amp;)=delete</td></tr>
<tr class="separator:a33bd0d684209797c83eea4980ab21ca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2db12436aa1eeac53715142fbc1e8390"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Application.html#a2db12436aa1eeac53715142fbc1e8390">Run</a> ()</td></tr>
<tr class="separator:a2db12436aa1eeac53715142fbc1e8390"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0442ba14bb784d3a6995bfb195745034"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Application.html#a0442ba14bb784d3a6995bfb195745034">GetView</a> () -&gt; sf::View</td></tr>
<tr class="memdesc:a0442ba14bb784d3a6995bfb195745034"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the View object.  <a href="classgg_1_1Application.html#a0442ba14bb784d3a6995bfb195745034">More...</a><br /></td></tr>
<tr class="separator:a0442ba14bb784d3a6995bfb195745034"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d273cb1c4976d3f431a05c13dfa88ae"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Application.html#a5d273cb1c4976d3f431a05c13dfa88ae">GetWindow</a> () -&gt; std::shared_ptr&lt; sf::RenderWindow &gt;</td></tr>
<tr class="separator:a5d273cb1c4976d3f431a05c13dfa88ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb47e39bb86f7667d6642874fd251ebf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Application.html#afb47e39bb86f7667d6642874fd251ebf">ToggleFullscreen</a> (bool)</td></tr>
<tr class="separator:afb47e39bb86f7667d6642874fd251ebf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae20d57caeee3df5081dad13b1554f0eb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Application.html#ae20d57caeee3df5081dad13b1554f0eb">ToggleMusic</a> (bool)</td></tr>
<tr class="separator:ae20d57caeee3df5081dad13b1554f0eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEventSubscriber"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEventSubscriber')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td></tr>
<tr class="memitem:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a> (const <a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a> &amp;) -&gt; bool</td></tr>
<tr class="separator:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a> () const -&gt; size_t</td></tr>
<tr class="separator:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ae39054081b8d2975337d1ff454f0524c"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Application.html#ae39054081b8d2975337d1ff454f0524c">GetInstance</a> () -&gt; <a class="el" href="classgg_1_1Application.html">Application</a> *</td></tr>
<tr class="separator:ae39054081b8d2975337d1ff454f0524c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8ec5c4ca52a13fa89a3d107fd2f8bde3" name="a8ec5c4ca52a13fa89a3d107fd2f8bde3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ec5c4ca52a13fa89a3d107fd2f8bde3">&#9670;&nbsp;</a></span>Application() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::Application::Application </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="addc7756b106fcdddf588b7b358656054" name="addc7756b106fcdddf588b7b358656054"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addc7756b106fcdddf588b7b358656054">&#9670;&nbsp;</a></span>~Application()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::Application::~Application </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a703d54482a290b37d0be1cd76311c35a" name="a703d54482a290b37d0be1cd76311c35a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a703d54482a290b37d0be1cd76311c35a">&#9670;&nbsp;</a></span>Application() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::Application::Application </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1Application.html">Application</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae39054081b8d2975337d1ff454f0524c" name="ae39054081b8d2975337d1ff454f0524c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae39054081b8d2975337d1ff454f0524c">&#9670;&nbsp;</a></span>GetInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::Application::GetInstance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt; <a class="el" href="classgg_1_1Application.html">Application</a> * </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0442ba14bb784d3a6995bfb195745034" name="a0442ba14bb784d3a6995bfb195745034"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0442ba14bb784d3a6995bfb195745034">&#9670;&nbsp;</a></span>GetView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Application::GetView </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt; sf::View </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the View object. </p>
<dl class="section return"><dt>Returns</dt><dd>sf::View </dd></dl>

</div>
</div>
<a id="a5d273cb1c4976d3f431a05c13dfa88ae" name="a5d273cb1c4976d3f431a05c13dfa88ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d273cb1c4976d3f431a05c13dfa88ae">&#9670;&nbsp;</a></span>GetWindow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Application::GetWindow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt; std::shared_ptr&lt;sf::RenderWindow&gt; </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a33bd0d684209797c83eea4980ab21ca7" name="a33bd0d684209797c83eea4980ab21ca7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33bd0d684209797c83eea4980ab21ca7">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Application::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classgg_1_1Application.html">Application</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2db12436aa1eeac53715142fbc1e8390" name="a2db12436aa1eeac53715142fbc1e8390"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2db12436aa1eeac53715142fbc1e8390">&#9670;&nbsp;</a></span>Run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Application::Run </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afb47e39bb86f7667d6642874fd251ebf" name="afb47e39bb86f7667d6642874fd251ebf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb47e39bb86f7667d6642874fd251ebf">&#9670;&nbsp;</a></span>ToggleFullscreen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Application::ToggleFullscreen </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae20d57caeee3df5081dad13b1554f0eb" name="ae20d57caeee3df5081dad13b1554f0eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae20d57caeee3df5081dad13b1554f0eb">&#9670;&nbsp;</a></span>ToggleMusic()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Application::ToggleMusic </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/core/<a class="el" href="Application_8hpp_source.html">Application.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
